Linux ubuntu 6.8.0-90-generic #91-Ubuntu SMP PREEMPT_DYNAMIC Tue Nov 18 14:14:30 UTC 2025 x86_64
nginx/1.24.0
: 67.217.245.49 | : 216.73.216.50
Cant Read [ /etc/named.conf ]
8.3.6
www-data
Bypass.pw
Terminal
AUTO ROOT
Adminer
Backdoor Destroyer
Linux Exploit
Lock Shell
Lock File
Create User
CREATE RDP
PHP Mailer
BACKCONNECT
UNLOCK SHELL
HASH IDENTIFIER
Backdoor Scanner
Backdoor Create
Alfa Webshell
CPANEL RESET
CREATE WP USER
README
+ Create Folder
+ Create File
/
usr /
lib /
git-core /
[ HOME SHELL ]
Name
Size
Permission
Action
mergetools
[ DIR ]
drwxr-xr-x
git
3.88
MB
-rwxr-xr-x
git-add
3.88
MB
-rwxr-xr-x
git-am
3.88
MB
-rwxr-xr-x
git-annotate
3.88
MB
-rwxr-xr-x
git-apply
3.88
MB
-rwxr-xr-x
git-archive
3.88
MB
-rwxr-xr-x
git-bisect
3.88
MB
-rwxr-xr-x
git-blame
3.88
MB
-rwxr-xr-x
git-branch
3.88
MB
-rwxr-xr-x
git-bugreport
3.88
MB
-rwxr-xr-x
git-bundle
3.88
MB
-rwxr-xr-x
git-cat-file
3.88
MB
-rwxr-xr-x
git-check-attr
3.88
MB
-rwxr-xr-x
git-check-ignore
3.88
MB
-rwxr-xr-x
git-check-mailmap
3.88
MB
-rwxr-xr-x
git-check-ref-format
3.88
MB
-rwxr-xr-x
git-checkout
3.88
MB
-rwxr-xr-x
git-checkout--worker
3.88
MB
-rwxr-xr-x
git-checkout-index
3.88
MB
-rwxr-xr-x
git-cherry
3.88
MB
-rwxr-xr-x
git-cherry-pick
3.88
MB
-rwxr-xr-x
git-clean
3.88
MB
-rwxr-xr-x
git-clone
3.88
MB
-rwxr-xr-x
git-column
3.88
MB
-rwxr-xr-x
git-commit
3.88
MB
-rwxr-xr-x
git-commit-graph
3.88
MB
-rwxr-xr-x
git-commit-tree
3.88
MB
-rwxr-xr-x
git-config
3.88
MB
-rwxr-xr-x
git-count-objects
3.88
MB
-rwxr-xr-x
git-credential
3.88
MB
-rwxr-xr-x
git-credential-cache
3.88
MB
-rwxr-xr-x
git-credential-cache--daemon
3.88
MB
-rwxr-xr-x
git-credential-store
3.88
MB
-rwxr-xr-x
git-daemon
645.23
KB
-rwxr-xr-x
git-describe
3.88
MB
-rwxr-xr-x
git-diagnose
3.88
MB
-rwxr-xr-x
git-diff
3.88
MB
-rwxr-xr-x
git-diff-files
3.88
MB
-rwxr-xr-x
git-diff-index
3.88
MB
-rwxr-xr-x
git-diff-tree
3.88
MB
-rwxr-xr-x
git-difftool
3.88
MB
-rwxr-xr-x
git-difftool--helper
2.55
KB
-rwxr-xr-x
git-fast-export
3.88
MB
-rwxr-xr-x
git-fast-import
3.88
MB
-rwxr-xr-x
git-fetch
3.88
MB
-rwxr-xr-x
git-fetch-pack
3.88
MB
-rwxr-xr-x
git-filter-branch
15.49
KB
-rwxr-xr-x
git-fmt-merge-msg
3.88
MB
-rwxr-xr-x
git-for-each-ref
3.88
MB
-rwxr-xr-x
git-for-each-repo
3.88
MB
-rwxr-xr-x
git-format-patch
3.88
MB
-rwxr-xr-x
git-fsck
3.88
MB
-rwxr-xr-x
git-fsck-objects
3.88
MB
-rwxr-xr-x
git-fsmonitor--daemon
3.88
MB
-rwxr-xr-x
git-gc
3.88
MB
-rwxr-xr-x
git-get-tar-commit-id
3.88
MB
-rwxr-xr-x
git-grep
3.88
MB
-rwxr-xr-x
git-hash-object
3.88
MB
-rwxr-xr-x
git-help
3.88
MB
-rwxr-xr-x
git-hook
3.88
MB
-rwxr-xr-x
git-http-backend
645.44
KB
-rwxr-xr-x
git-http-fetch
722.66
KB
-rwxr-xr-x
git-http-push
1.05
MB
-rwxr-xr-x
git-imap-send
702.34
KB
-rwxr-xr-x
git-index-pack
3.88
MB
-rwxr-xr-x
git-init
3.88
MB
-rwxr-xr-x
git-init-db
3.88
MB
-rwxr-xr-x
git-instaweb
21.64
KB
-rwxr-xr-x
git-interpret-trailers
3.88
MB
-rwxr-xr-x
git-log
3.88
MB
-rwxr-xr-x
git-ls-files
3.88
MB
-rwxr-xr-x
git-ls-remote
3.88
MB
-rwxr-xr-x
git-ls-tree
3.88
MB
-rwxr-xr-x
git-mailinfo
3.88
MB
-rwxr-xr-x
git-mailsplit
3.88
MB
-rwxr-xr-x
git-maintenance
3.88
MB
-rwxr-xr-x
git-merge
3.88
MB
-rwxr-xr-x
git-merge-base
3.88
MB
-rwxr-xr-x
git-merge-file
3.88
MB
-rwxr-xr-x
git-merge-index
3.88
MB
-rwxr-xr-x
git-merge-octopus
2.42
KB
-rwxr-xr-x
git-merge-one-file
3.61
KB
-rwxr-xr-x
git-merge-ours
3.88
MB
-rwxr-xr-x
git-merge-recursive
3.88
MB
-rwxr-xr-x
git-merge-resolve
1.2
KB
-rwxr-xr-x
git-merge-subtree
3.88
MB
-rwxr-xr-x
git-merge-tree
3.88
MB
-rwxr-xr-x
git-mergetool
11.42
KB
-rwxr-xr-x
git-mergetool--lib
10.48
KB
-rw-r--r--
git-mktag
3.88
MB
-rwxr-xr-x
git-mktree
3.88
MB
-rwxr-xr-x
git-multi-pack-index
3.88
MB
-rwxr-xr-x
git-mv
3.88
MB
-rwxr-xr-x
git-name-rev
3.88
MB
-rwxr-xr-x
git-notes
3.88
MB
-rwxr-xr-x
git-pack-objects
3.88
MB
-rwxr-xr-x
git-pack-redundant
3.88
MB
-rwxr-xr-x
git-pack-refs
3.88
MB
-rwxr-xr-x
git-patch-id
3.88
MB
-rwxr-xr-x
git-prune
3.88
MB
-rwxr-xr-x
git-prune-packed
3.88
MB
-rwxr-xr-x
git-pull
3.88
MB
-rwxr-xr-x
git-push
3.88
MB
-rwxr-xr-x
git-quiltimport
3.61
KB
-rwxr-xr-x
git-range-diff
3.88
MB
-rwxr-xr-x
git-read-tree
3.88
MB
-rwxr-xr-x
git-rebase
3.88
MB
-rwxr-xr-x
git-receive-pack
3.88
MB
-rwxr-xr-x
git-reflog
3.88
MB
-rwxr-xr-x
git-remote
3.88
MB
-rwxr-xr-x
git-remote-ext
3.88
MB
-rwxr-xr-x
git-remote-fd
3.88
MB
-rwxr-xr-x
git-remote-ftp
755.16
KB
-rwxr-xr-x
git-remote-ftps
755.16
KB
-rwxr-xr-x
git-remote-http
755.16
KB
-rwxr-xr-x
git-remote-https
755.16
KB
-rwxr-xr-x
git-repack
3.88
MB
-rwxr-xr-x
git-replace
3.88
MB
-rwxr-xr-x
git-request-pull
4.05
KB
-rwxr-xr-x
git-rerere
3.88
MB
-rwxr-xr-x
git-reset
3.88
MB
-rwxr-xr-x
git-restore
3.88
MB
-rwxr-xr-x
git-rev-list
3.88
MB
-rwxr-xr-x
git-rev-parse
3.88
MB
-rwxr-xr-x
git-revert
3.88
MB
-rwxr-xr-x
git-rm
3.88
MB
-rwxr-xr-x
git-send-pack
3.88
MB
-rwxr-xr-x
git-sh-i18n
1.64
KB
-rw-r--r--
git-sh-i18n--envsubst
624.73
KB
-rwxr-xr-x
git-sh-prompt
17.94
KB
-rw-r--r--
git-sh-setup
8.2
KB
-rw-r--r--
git-shell
624.81
KB
-rwxr-xr-x
git-shortlog
3.88
MB
-rwxr-xr-x
git-show
3.88
MB
-rwxr-xr-x
git-show-branch
3.88
MB
-rwxr-xr-x
git-show-index
3.88
MB
-rwxr-xr-x
git-show-ref
3.88
MB
-rwxr-xr-x
git-sparse-checkout
3.88
MB
-rwxr-xr-x
git-stage
3.88
MB
-rwxr-xr-x
git-stash
3.88
MB
-rwxr-xr-x
git-status
3.88
MB
-rwxr-xr-x
git-stripspace
3.88
MB
-rwxr-xr-x
git-submodule
10.26
KB
-rwxr-xr-x
git-submodule--helper
3.88
MB
-rwxr-xr-x
git-subtree
24.43
KB
-rwxr-xr-x
git-switch
3.88
MB
-rwxr-xr-x
git-symbolic-ref
3.88
MB
-rwxr-xr-x
git-tag
3.88
MB
-rwxr-xr-x
git-unpack-file
3.88
MB
-rwxr-xr-x
git-unpack-objects
3.88
MB
-rwxr-xr-x
git-update-index
3.88
MB
-rwxr-xr-x
git-update-ref
3.88
MB
-rwxr-xr-x
git-update-server-info
3.88
MB
-rwxr-xr-x
git-upload-archive
3.88
MB
-rwxr-xr-x
git-upload-pack
3.88
MB
-rwxr-xr-x
git-var
3.88
MB
-rwxr-xr-x
git-verify-commit
3.88
MB
-rwxr-xr-x
git-verify-pack
3.88
MB
-rwxr-xr-x
git-verify-tag
3.88
MB
-rwxr-xr-x
git-version
3.88
MB
-rwxr-xr-x
git-web--browse
4.3
KB
-rwxr-xr-x
git-whatchanged
3.88
MB
-rwxr-xr-x
git-worktree
3.88
MB
-rwxr-xr-x
git-write-tree
3.88
MB
-rwxr-xr-x
scalar
668.94
KB
-rwxr-xr-x
Delete
Unzip
Zip
${this.title}
Close
Code Editor : git-merge-one-file
#!/bin/sh # # Copyright (c) Linus Torvalds, 2005 # # This is the git per-file merge script, called with # # $1 - original file SHA1 (or empty) # $2 - file in branch1 SHA1 (or empty) # $3 - file in branch2 SHA1 (or empty) # $4 - pathname in repository # $5 - original file mode (or empty) # $6 - file in branch1 mode (or empty) # $7 - file in branch2 mode (or empty) # # Handle some trivial cases.. The _really_ trivial cases have # been handled already by git read-tree, but that one doesn't # do any merges that might change the tree layout. USAGE='<orig blob> <our blob> <their blob> <path>' USAGE="$USAGE <orig mode> <our mode> <their mode>" LONG_USAGE="usage: git merge-one-file $USAGE Blob ids and modes should be empty for missing files." SUBDIRECTORY_OK=Yes . git-sh-setup cd_to_toplevel require_work_tree if test $# != 7 then echo "$LONG_USAGE" exit 1 fi case "${1:-.}${2:-.}${3:-.}" in # # Deleted in both or deleted in one and unchanged in the other # "$1.." | "$1.$1" | "$1$1.") if { test -z "$6" && test "$5" != "$7"; } || { test -z "$7" && test "$5" != "$6"; } then echo "ERROR: File $4 deleted on one branch but had its" >&2 echo "ERROR: permissions changed on the other." >&2 exit 1 fi if test -n "$2" then echo "Removing $4" else # read-tree checked that index matches HEAD already, # so we know we do not have this path tracked. # there may be an unrelated working tree file here, # which we should just leave unmolested. Make sure # we do not have it in the index, though. exec git update-index --remove -- "$4" fi if test -f "$4" then rm -f -- "$4" && rmdir -p "$(expr "z$4" : 'z\(.*\)/')" 2>/dev/null || : fi && exec git update-index --remove -- "$4" ;; # # Added in one. # ".$2.") # the other side did not add and we added so there is nothing # to be done, except making the path merged. exec git update-index --add --cacheinfo "$6" "$2" "$4" ;; "..$3") echo "Adding $4" if test -f "$4" then echo "ERROR: untracked $4 is overwritten by the merge." >&2 exit 1 fi git update-index --add --cacheinfo "$7" "$3" "$4" && exec git checkout-index -u -f -- "$4" ;; # # Added in both, identically (check for same permissions). # ".$3$2") if test "$6" != "$7" then echo "ERROR: File $4 added identically in both branches," >&2 echo "ERROR: but permissions conflict $6->$7." >&2 exit 1 fi echo "Adding $4" git update-index --add --cacheinfo "$6" "$2" "$4" && exec git checkout-index -u -f -- "$4" ;; # # Modified in both, but differently. # "$1$2$3" | ".$2$3") case ",$6,$7," in *,120000,*) echo "ERROR: $4: Not merging symbolic link changes." >&2 exit 1 ;; *,160000,*) echo "ERROR: $4: Not merging conflicting submodule changes." >&2 exit 1 ;; esac src1=$(git unpack-file $2) src2=$(git unpack-file $3) case "$1" in '') echo "Added $4 in both, but differently." orig=$(git unpack-file $(git hash-object /dev/null)) ;; *) echo "Auto-merging $4" orig=$(git unpack-file $1) ;; esac git merge-file "$src1" "$orig" "$src2" ret=$? msg= if test $ret != 0 || test -z "$1" then msg='content conflict' ret=1 fi # Create the working tree file, using "our tree" version from the # index, and then store the result of the merge. git checkout-index -f --stage=2 -- "$4" && cat "$src1" >"$4" || exit 1 rm -f -- "$orig" "$src1" "$src2" if test "$6" != "$7" then if test -n "$msg" then msg="$msg, " fi msg="${msg}permissions conflict: $5->$6,$7" ret=1 fi if test $ret != 0 then echo "ERROR: $msg in $4" >&2 exit 1 fi exec git update-index -- "$4" ;; *) echo "ERROR: $4: Not handling case $1 -> $2 -> $3" >&2 ;; esac exit 1
Close